#
# spec file for package yast2-schema-micro
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-schema-micro
Version:        4.4.10
Release:        150400.1.3

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# source to generate rpm is same as with default, just limited set of build depedencies
# results in limited profile
Source0:        yast2-schema-default-%{version}.tar.bz2

URL:            https://github.com/yast/yast-schema

# provide schema, so it is full replacement
Provides:       yast2-schema = %{version}
# others cannot be used as it contains same files
Conflicts:      yast2-schema
Obsoletes:      yast2-schema < 4.4.9

# Dependencies needed to build the package
BuildRequires:  jing
BuildRequires:  libxml2-tools
BuildRequires:  trang
BuildRequires:  yast2-devtools

# use SLE15 SP3 Update dependencies as micro is based on SP3
BuildRequires:  autoyast2 >= 4.3.94
BuildRequires:  yast2
BuildRequires:  yast2-add-on >= 4.3.3
# set 't' element in 'initrd_module' element
BuildRequires:  yast2-bootloader >= 4.3.12
BuildRequires:  yast2-configuration-management >= 4.3.0
BuildRequires:  yast2-country >= 4.3.0
# add 'iface' element
BuildRequires:  yast2-iscsi-client >= 4.3.3
BuildRequires:  yast2-kdump
BuildRequires:  yast2-network >= 4.3.81
# registration is available only where suse connect is also available
%ifnarch s390 %ix86
# addons: architecture/version is optional
BuildRequires:  yast2-registration >= 4.3.12
%endif
BuildRequires:  yast2-security >= 4.3.17
BuildRequires:  yast2-services-manager
# tag home_btrfs_subvolume
BuildRequires:  yast2-users >= 4.1.11

#!BuildIgnore: yast2-build-test

# optimization suggested by AJ:
#!BuildIgnore: tomcat5

# ignoring conflicting packages
#!BuildIgnore: yast2-branding-SLED yast2-branding-openSUSE
#!BuildIgnore: yast2-theme yast2-theme-SLED yast2-theme-openSUSE yast2-theme-SLE

# Hotfix to build a package, bnc #427684
#!BuildIgnore: xerces-j2-bootstrap libusb-0_1-4 crimson

# To speedup && to easily recover from dependency hell
#!BuildIgnore: yast2-pkg-bindings zypper libzypp yast2-gtk yast2-qt yast2-ncurses yast2-qt-pkg yast2-ncurses-pkg

# Yast packages without AutoYast support
#!BuildIgnore: yast2-country-data
#!BuildIgnore: yast2-control-center yast2-control-center-gnome yast2-control-center-qt

Summary:        YaST2 - AutoYaST Schema for Micro
License:        GPL-2.0-or-later
Group:          System/YaST

%description
AutoYaST Syntax Schema for Micro product

%prep
%setup -n yast2-schema-default-%{version}

%build
%yast_build

%install
%yast_install
rm -rf %{buildroot}/%{_docdir}/yast2-schema-default

%files
%defattr(-,root,root)
%dir %{yast_schemadir}/autoyast/rnc
%{yast_schemadir}/autoyast/rnc/profile.rnc
%{yast_schemadir}/autoyast/rnc/includes.rnc
%dir %{yast_schemadir}/autoyast/rng
%{yast_schemadir}/autoyast/rng/*.rng

%changelog
* Wed Jan 26 2022 kanderssen@suse.com
- Synced version with default schema (related to jsc#SLE-22069).
- 4.4.10
* Fri Jan 21 2022 jreidinger@suse.com
- Adapt dependencies for SLE15 SP3 as micro is based on it
* Wed Jan 19 2022 jreidinger@suse.com
- initial package to have dedicated limited schema for Micro
  product (jsc#SLE-18820)
- 4.4.9
